package com.qmth.boot.core.rateLimit.entity;

public enum RateLimitTarget {

    //所有访问者
    ALL(""),

    //按用户区分访问者
    USER("u"),

    //按设备区分访问者
    DEVICE("d");

    private String code;

    RateLimitTarget(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public static RateLimitTarget findByCode(char code) {
        return DEVICE.getCode().equalsIgnoreCase(String.valueOf(code)) ? DEVICE : null;
    }
}

